classification
Title: Fix internal doc references for the email package
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: barry, docs@python, eric.araujo, ezio.melotti, georg.brandl, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-08-16 19:47 by serhiy.storchaka, last changed 2013-08-19 07:22 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
refs.email.diff serhiy.storchaka, 2013-08-16 19:47 review
refs.email_2.patch serhiy.storchaka, 2013-08-18 19:46 review
Messages (5)
msg195406 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-16 19:47
Here is a preliminary patch (long lines are not wrapped yet) which fixes internal references in the documentation of the email package.
msg195577 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-18 19:46
Here is updated patch which addresses comments from David. Long lines are wrapped now.
msg195579 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-08-18 22:08
Based on your response to the review (I haven't looked at the new patch) I say go ahead and apply it.
msg195604 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-08-19 07:05
New changeset 7a1534dba050 by Serhiy Storchaka in branch '3.3':
Issue #18761: Improved cross-references in email documentation.
http://hg.python.org/cpython/rev/7a1534dba050

New changeset 464eed5ddb2e by Serhiy Storchaka in branch 'default':
Issue #18761: Improved cross-references in email documentation.
http://hg.python.org/cpython/rev/464eed5ddb2e

New changeset 062533327ad2 by Serhiy Storchaka in branch '2.7':
Issue #18761: Improved cross-references in email documentation.
http://hg.python.org/cpython/rev/062533327ad2
msg195606 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-19 07:22
Thank you for the review.
History
Date User Action Args
2013-08-19 07:22:21serhiy.storchakasetstatus: open -> closed
messages: + msg195606

assignee: docs@python -> serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-08-19 07:05:08python-devsetnosy: + python-dev
messages: + msg195604
2013-08-18 22:08:42r.david.murraysetmessages: + msg195579
2013-08-18 19:46:08serhiy.storchakasetfiles: + refs.email_2.patch

messages: + msg195577
2013-08-16 21:16:39serhiy.storchakalinkissue18758 dependencies
2013-08-16 19:47:31serhiy.storchakacreate